
From: Tom Armistead <tarmiste@eng.mcd.mot.com>

This patch corrects problems of compiling and running the 2.6 kernel on the
MVME5100 board.  The existing MVME5100 platform support in 2.6 does not
compile and run due to a moved include file (pplus.h) and a changed
interface to openpic_init().  This patch corrects those problems.


---

 25-akpm/arch/ppc/platforms/mvme5100_pci.c   |    2 +-
 25-akpm/arch/ppc/platforms/mvme5100_setup.c |    6 +++---
 2 files changed, 4 insertions(+), 4 deletions(-)

diff -puN arch/ppc/platforms/mvme5100_pci.c~fixes-to-mvme5100-support-in-265 arch/ppc/platforms/mvme5100_pci.c
--- 25/arch/ppc/platforms/mvme5100_pci.c~fixes-to-mvme5100-support-in-265	2004-04-22 22:26:24.729261504 -0700
+++ 25-akpm/arch/ppc/platforms/mvme5100_pci.c	2004-04-22 22:26:24.734260744 -0700
@@ -22,7 +22,7 @@
 #include <asm/machdep.h>
 #include <asm/pci-bridge.h>
 #include <platforms/mvme5100.h>
-#include <asm/pplus.h>
+#include "pplus.h"
 
 static inline int
 mvme5100_map_irq(struct pci_dev *dev, unsigned char idsel, unsigned char pin)
diff -puN arch/ppc/platforms/mvme5100_setup.c~fixes-to-mvme5100-support-in-265 arch/ppc/platforms/mvme5100_setup.c
--- 25/arch/ppc/platforms/mvme5100_setup.c~fixes-to-mvme5100-support-in-265	2004-04-22 22:26:24.730261352 -0700
+++ 25-akpm/arch/ppc/platforms/mvme5100_setup.c	2004-04-22 22:26:24.734260744 -0700
@@ -43,7 +43,7 @@
 #include <asm/todc.h>
 #include <asm/pci-bridge.h>
 #include <asm/bootinfo.h>
-#include <asm/pplus.h>
+#include "pplus.h"
 
 extern char cmd_line[];
 
@@ -137,14 +137,14 @@ mvme5100_init_IRQ(void)
 		ppc_md.progress("init_irq: enter", 0);
 
 #ifdef CONFIG_MVME5100_IPMC761_PRESENT
-	openpic_init(1, NUM_8259_INTERRUPTS, NULL, -1);
+	openpic_init(NUM_8259_INTERRUPTS);
 
 	for(i=0; i < NUM_8259_INTERRUPTS; i++)
 		irq_desc[i].handler = &i8259_pic;
 
 	i8259_init(NULL);
 #else
-	openpic_init(1, 0, NULL, -1);
+	openpic_init(0);
 #endif
 
 	if ( ppc_md.progress )

_
